QGIS Application - Feature request #12707
Avoid too similar colours in the same project
2015-05-06 09:20 AM - Paolo Cavallini

Status: Open

Priority: Normal

Assignee: Nyall Dawson

Category: Symbology

Pull Request or Patch stupplied: Resolution:

Easy fix?: No Copied to github as #: 20813
Description

When loading layers a random colour is assigned to each. Quite often it happens that the colours are rather similar, thus confusing the
user. | have the impression that this happens more often in 2.8 compared to previous versions.
It would be good if QGIS could check the colours already used in the project, and select something different enough for the next layer.

History

#1 - 2017-05-01 12:47 AM - Giovanni Manghi
- Easy fix? set to No

#2 - 2018-03-06 06:44 PM - Paolo Cavallini
- Assignee set to Nyall Dawson

- Status changed from Open to Feedback

- Description updated

A solution has been proposed, possibly implemented in QGIS 3.x.

#3 - 2018-03-07 06:50 AM - Nyall Dawson
- Pull Request or Patch supplied changed from No to Yes
- Status changed from Feedback to Open

Still work in progress- a PR is open here https://github.com/qgis/QGIS/pull/6265, but some bits left to do
https://github.com/qgis/QGIS/pull/6265

